#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct MultipleUsersForSameEmail {
    #[builder(into)]
    #[serde(rename = "email")]
    email: String,
}
impl MultipleUsersForSameEmail {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(email: impl Into<String>) -> Self {
        Self::builder().email(email).build()
    }
    #[inline]
    pub fn email(&self) -> &str {
        &*self.email
    }
}
impl conjure_error::ErrorType for MultipleUsersForSameEmail {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::FailedPrecondition
    }
    #[inline]
    fn name() -> &'static str {
        "Authentication:MultipleUsersForSameEmail"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
